## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# generated by cabal-rpm-2.1.0
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name X11
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        1.10.3
Release:        %autorelease
Summary:        Haskell binding to the X11 graphics library

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-data-default-class-devel
%if %{with ghc_prof}
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-data-default-class-prof
%endif
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrandr-devel
# End cabal-rpm deps
BuildRequires:  libXinerama-devel
BuildRequires:  libXScrnSaver-devel

%description
A Haskell binding to the X11 graphics library. The binding is a direct
translation of the C binding; for documentation of these calls, refer to "The
Xlib Programming Manual", available online at <http://tronche.com/gui/x/xlib/>.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       libX11-devel%{?_isa}
Requires:       libXext-devel%{?_isa}
Requires:       libXrandr-devel%{?_isa}
# End cabal-rpm deps
Requires:       libXinerama-devel%{?_isa}
Requires:       libXScrnSaver-devel%{?_isa}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGES.md README.md


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> 1.10.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> 1.10.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 29 2023 Jens Petersen <petersen@redhat.com> 1.10.3-4
- bump release

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.10.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jan 22 2023 Jens Petersen <petersen@redhat.com> - 1.10.3-1
- https://hackage.haskell.org/package/X11-1.10.3/changelog
- refresh to cabal-rpm-2.1.0 with SPDX migration

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 07 2022 Jens Petersen <petersen@redhat.com> - 1.10.2-1
- https://hackage.haskell.org/package/X11-1.10.2/changelog

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 1.10-1
- update to 1.10

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 1.9.2-1
- update to 1.9.2

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Jens Petersen <petersen@redhat.com> - 1.9.1-2
- refresh to cabal-rpm-2.0.6

* Sun Feb 09 2020 Jens Petersen <petersen@redhat.com> - 1.9.1-1
- update to 1.9.1

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Aug 01 2019 Jens Petersen <petersen@redhat.com> - 1.9-4
- add doc and prof subpackages (cabal-rpm-1.0.0)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Mar  1 2019 Jens Petersen <petersen@redhat.com> - 1.9-2
- ghc-X11-devel also Requires libXScrnSaver-devel

* Thu Feb 21 2019 Jens Petersen <petersen@redhat.com> - 1.9-1
- update to 1.9

* Sun Feb 17 2019 Jens Petersen <petersen@redhat.com> - 1.8-10
- refresh to cabal-rpm-0.13

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 28 2018 Jens Petersen <petersen@redhat.com> - 1.8-8
- rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 15 2018 Jens Petersen <petersen@redhat.com> - 1.8-6
- remove _isa from buildrequires (#1545182)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Jens Petersen <petersen@redhat.com> - 1.8-4
- rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 1.8-1
- update to 1.8

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 23 2015 Jens Petersen <petersen@redhat.com> - 1.6.1.2-1
- update to 1.6.1.2

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 24 2013 Jens Petersen <petersen@redhat.com> - 1.6.1.1-2
- update to revised simplified Haskell Packaging Guidelines (cabal-rpm-0.8)

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 1.6.1.1-1
- update to 1.6.1.1

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Jens Petersen <petersen@redhat.com> - 1.6.0.2-1
- update to 1.6.0.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 1.6.0-3
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 1.6.0-2
- requires libXrandr too

* Sat Jun  9 2012 Jens Petersen <petersen@redhat.com> - 1.6.0-1
- update to 1.6.0
- new libXrandr binding

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 1.5.0.1-3
- rebuild

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 1.5.0.1-2
- restore X devel requires

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 1.5.0.1-1
- update to 1.5.0.1 and cabal2spec-0.25.2

* Fri Dec  2 2011 Jens Petersen <petersen@redhat.com> - 1.5.0.0-13
- use _isa and update to cabal2spec-0.24.1

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.5.0.0-12.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.5.0.0-12.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.5.0.0-12.1
- rebuild with new gmp

* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 1.5.0.0-12
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.5.0.0-11
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 1.5.0.0-9
- Update to cabal2spec-0.22.4
- Rebuild

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-8
- rebuild

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-7
- new syb dependency needed for ghc7
- drop -o obsoletes

* Sun Nov 07 2010 Ben Boeckel <mathstuf@gmail.com> - 1.5.0.0-6
- Rebuild

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-5
- update to ghc-rpm-macros-0.8.1, hscolour and drop doc pkg (cabal2spec-0.22.2)

* Wed Jun 23 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-4
- use ghc_strip_dynlinked (ghc-rpm-macros-0.6.0)

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-3
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 1.5.0.0-2
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common summary and common_description
- use ghc_lib_package and ghc_pkg_c_deps

* Wed Dec 23 2009 Jens Petersen <petersen@redhat.com>
- update base Group and devel Summary

* Mon Dec 21 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 1.5.0.0-1
- updated to latest upstream
- updates spec to use shared libraries and new ghc

* Thu Oct 29 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 1.4.6.1-1
- update to latest upstream

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 16 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-11
- buildrequires ghc-rpm-macros (cabal2spec-0.16)

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-10
- ghc_version is now in macros.ghc

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-9
- try defining ghc_version with global

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-8
- define ghc_version correctly

* Mon Apr 20 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-7
- rebuild with ghc-6.10.2
- update to latest cabal2spec template and macros.ghc
  - pkg_libdir and pkg_docdir moved to macros.ghc
  - drop ghc_version from buildrequires
  - fix prof configure
  - add doc filelist
  - get ghc_version from ghc

* Sat Apr  4 2009 Yaakov M. Nemoy <yankee@localhost.localdomain> - 1.4.5-6
- rebuild bump to raise EVR manually, to match with F-10 branch

* Sun Mar  8 2009 Yaakov M. Nemoy <yankee@localhost.localdomain> - 1.4.5-5
- corrected a faulty tag

* Sun Mar  8 2009 Yaakov M. Nemoy <yankee@localhost.localdomain> - 1.4.5-4
- forgot to include the right arch tags

* Sat Feb 28 2009 Jens Petersen <petersen@redhat.com> - 1.4.5-3
- sync with cabal2spec-0.12:
- improve requires

* Mon Feb 23 2009 Yaakov M. Nemoy <loupgaroublond@gmail.com> - 1.4.5-2
- updated template to new guidelines

* Mon Jan  5 2009 Yaakov M. Nemoy <loupgaroublond@gmail.com> - 1.4.5-1
- initial packaging for Fedora created by cabal2spec
- added description and build requires
- altered license from template

